import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import Toast from 'vue-toastification'
import { MotionPlugin } from '@vueuse/motion'
import 'vue-toastification/dist/index.css'
import './assets/main.css'

interface Toast {
  type: string
}

const app = createApp(App)

app.use(router)
app.use(Toast, {
  position: 'top-right',
  timeout: 3000,
  closeOnClick: true,
  pauseOnFocusLoss: true,
  pauseOnHover: true,
  draggable: true,
  draggablePercent: 0.6,
  showCloseButtonOnHover: false,
  hideProgressBar: false,
  closeButton: 'button',
  icon: true,
  rtl: false,
  transition: 'Vue-Toastification__bounce',
  maxToasts: 5,
  newestOnTop: true,
  filterBeforeCreate: (toast: Toast, toasts: Toast[]) => {
    if (toasts.filter((t: Toast) => t.type === toast.type).length !== 0) {
      return false
    }
    return toast
  }
})

app.use(MotionPlugin)

app.mount('#app') 